diff --git a/gcc/tree-vect-loop.c b/gcc/tree-vect-loop.c
index 49b2f8a..a7c036e 100644
--- a/gcc/tree-vect-loop.c
+++ b/gcc/tree-vect-loop.c
@@ -3279,7 +3279,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
       nloop_uses++;
       if (nloop_uses > 1)
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "reduction value used in loop.\n");
           return NULL;
@@ -3292,7 +3292,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
   tree loop_arg = PHI_ARG_DEF_FROM_EDGE (phi, latch_e);
   if (TREE_CODE (loop_arg) != SSA_NAME)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "reduction: not ssa_name: ");
@@ -3315,7 +3315,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
     }
   else
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "reduction: unhandled reduction operation: ");
@@ -3341,7 +3341,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
 	lcphis.safe_push (as_a <gphi *> (use_stmt));
       if (nloop_uses > 1)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "reduction used in loop.\n");
 	  return NULL;
@@ -3357,7 +3357,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
       if (gimple_phi_num_args (def_stmt) != 1
           || TREE_CODE (op1) != SSA_NAME)
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "unsupported phi node definition.\n");
 
@@ -3372,7 +3372,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
           && is_gimple_assign (def1)
 	  && flow_bb_inside_loop_p (loop->inner, gimple_bb (phi_use_stmt)))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             report_vect_op (MSG_NOTE, def_stmt,
 			    "detected double reduction: ");
 
@@ -3426,7 +3426,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
         }
       if (op3 == phi_name || op4 == phi_name)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    report_vect_op (MSG_MISSED_OPTIMIZATION, def_stmt,
 			    "reduction: condition depends on previous"
 			    " iteration: ");
@@ -3438,7 +3438,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
     }
   else if (!commutative_tree_code (code) || !associative_tree_code (code))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	report_vect_op (MSG_MISSED_OPTIMIZATION, def_stmt,
 			"reduction: not commutative/associative: ");
       return NULL;
@@ -3450,7 +3450,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
     }
   else
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	report_vect_op (MSG_MISSED_OPTIMIZATION, def_stmt,
 			"reduction: not handled operation: ");
       return NULL;
@@ -3458,7 +3458,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
 
   if (TREE_CODE (op1) != SSA_NAME && TREE_CODE (op2) != SSA_NAME)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	report_vect_op (MSG_MISSED_OPTIMIZATION, def_stmt,
 			"reduction: both uses not ssa_names: ");
 
@@ -3475,7 +3475,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
       || (op4 && TREE_CODE (op4) == SSA_NAME
           && !types_compatible_p (type, TREE_TYPE (op4))))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           vect_location_writeln (OPT_RECORD_REMARK,
 			   "reduction: multiple types: operation type: ");
@@ -3531,7 +3531,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
   if (code != COND_EXPR
       && ((!def1 || gimple_nop_p (def1)) && (!def2 || gimple_nop_p (def2))))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	report_vect_op (MSG_NOTE, def_stmt, "reduction: no defs for operands: ");
       return NULL;
     }
@@ -3554,7 +3554,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
                           == vect_internal_def
  	              && !is_loop_header_bb_p (gimple_bb (def1)))))))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	report_vect_op (MSG_NOTE, def_stmt, "detected reduction: ");
       return def_stmt;
     }
@@ -3599,7 +3599,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
 		}
 	      else
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    report_vect_op (MSG_NOTE, def_stmt,
 				    "detected reduction: cannot swap operands "
 				    "for cond_expr");
@@ -3610,7 +3610,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
 	    swap_ssa_operands (def_stmt, gimple_assign_rhs1_ptr (def_stmt),
 			       gimple_assign_rhs2_ptr (def_stmt));
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    report_vect_op (MSG_NOTE, def_stmt,
 			    "detected reduction: need to swap operands: ");
 
@@ -3619,7 +3619,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
         }
       else
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             report_vect_op (MSG_NOTE, def_stmt, "detected reduction: ");
         }
 
@@ -3632,7 +3632,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
       && orig_code != MINUS_EXPR
       && vect_is_slp_reduction (loop_info, phi, def_stmt))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         report_vect_op (MSG_NOTE, def_stmt,
 			"reduction: detected reduction chain: ");
 
@@ -3654,7 +3654,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
 			    code))
     return def_stmt;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       report_vect_op (MSG_MISSED_OPTIMIZATION, def_stmt,
 		      "reduction: unknown pattern: ");
@@ -3702,7 +3702,7 @@ vect_get_known_peeling_cost (loop_vec_info loop_vinfo, int peel_iters_prologue,
   if (!LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo))
     {
       *peel_iters_epilogue = assumed_vf / 2;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK,
 			 "cost model: epilogue peel iters set to vf/2 "
 			 "because loop iterations are unknown .\n");
@@ -4048,7 +4048,7 @@ vect_estimate_min_profitable_iters (loop_vec_info loop_vinfo,
 
   vec_outside_cost = (int)(vec_prologue_cost + vec_epilogue_cost);
   
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "Cost model analysis: \n");
       dump_printf (MSG_NOTE, "  Vector inside of loop cost: %d\n",
@@ -4106,7 +4106,7 @@ vect_estimate_min_profitable_iters (loop_vec_info loop_vinfo,
 	warning_at (vect_location, OPT_Wopenmp_simd, "vectorization "
 		    "did not happen for a simd loop");
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			 "cost model: the vector iteration cost = %d "
 			 "divided by the scalar iteration cost = %d "
@@ -4127,7 +4127,7 @@ vect_estimate_min_profitable_iters (loop_vec_info loop_vinfo,
     /* We want the vectorized loop to execute at least once.  */
     min_profitable_iters = assumed_vf + peel_iters_prologue;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "  Runtime profitability threshold = %d\n",
                      min_profitable_iters);
@@ -4153,7 +4153,7 @@ vect_estimate_min_profitable_iters (loop_vec_info loop_vinfo,
 				   - vec_inside_cost);
     }
   min_profitable_estimate = MAX (min_profitable_estimate, min_profitable_iters);
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "  Static estimate profitability threshold = %d\n",
 		     min_profitable_estimate);
@@ -4375,7 +4375,7 @@ vect_model_reduction_cost (stmt_vec_info stmt_info, internal_fn reduc_fn,
 	}
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf (MSG_NOTE, 
                  "vect_model_reduction_cost: inside_cost = %d, "
                  "prologue_cost = %d, epilogue_cost = %d .\n", inside_cost,
@@ -4405,7 +4405,7 @@ vect_model_induction_cost (stmt_vec_info stmt_info, int ncopies)
   prologue_cost = add_stmt_cost (target_cost_data, 2, scalar_to_vec,
 				 stmt_info, 0, vect_prologue);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "vect_model_induction_cost: inside_cost = %d, "
                      "prologue_cost = %d .\n", inside_cost, prologue_cost);
@@ -4998,7 +4998,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
           add_phi_arg (as_a <gphi *> (phi), def, loop_latch_edge (loop),
 		       UNKNOWN_LOCATION);
 
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_REMARK,
 			       "transform reduction: created def-use cycle: ");
@@ -5487,7 +5487,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
       /* Case 1:  Create:
          v_out2 = reduc_expr <v_out1>  */
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK,
 			 "Reduce using direct vector reduction.\n");
 
@@ -5758,7 +5758,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
 
           tree rhs;
 
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_REMARK,
 			     "Reduce using vector shifts\n");
 
@@ -5787,7 +5787,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
 	  /* 2.4  Extract the final scalar result.  Create:
 	     s_out3 = extract_field <v_out2, bitpos>  */
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 			     "extract scalar result\n");
 
@@ -5811,7 +5811,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
                  Create:  s = op <s, s'>  // For non SLP cases
                }  */
 
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_REMARK,
 			     "Reduce using scalar code.\n");
 
@@ -6134,7 +6134,7 @@ vect_finalize_reduction:
                                UNKNOWN_LOCATION);
                   add_phi_arg (vect_phi, PHI_RESULT (inner_phi),
                                loop_latch_edge (outer_loop), UNKNOWN_LOCATION);
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     {
                       vect_location_writeln (OPT_RECORD_REMARK,
 				       "created double reduction phi node: ");
@@ -6817,7 +6817,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
     {
       if (STMT_VINFO_REDUC_TYPE (stmt_info) == FOLD_LEFT_REDUCTION)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "in-order reduction chain without SLP.\n");
 	  return false;
@@ -6871,7 +6871,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	 as a reduction operation.  */
       if (reduc_index == -1)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "conditional reduction chains not supported\n");
 	  return false;
@@ -6896,7 +6896,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       else if (direct_internal_fn_supported_p (IFN_FOLD_EXTRACT_LAST,
 					       vectype_in, OPTIMIZE_FOR_SPEED))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "optimizing condition reduction with"
 			     " FOLD_EXTRACT_LAST.\n");
@@ -6937,7 +6937,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	    }
 	  if (cond_reduc_val)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_REMARK,
 				 "condition expression based on "
 				 "integer induction.\n");
@@ -6963,7 +6963,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 				    cond_initial_val, cond_reduc_val);
 	      if (e && (integer_onep (e) || integer_zerop (e)))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_REMARK,
 				     "condition expression based on "
 				     "compile time constant.\n");
@@ -7006,7 +7006,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (!vec_stmt && !vectorizable_condition (stmt, gsi, NULL,
 						ops[reduc_index], 0, NULL))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "unsupported condition in reduction\n");
 	  return false;
@@ -7021,7 +7021,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	{
 	  /* Shifts and rotates are only supported by vectorizable_shifts,
 	     not vectorizable_reduction.  */
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "unsupported shift or rotation.\n");
 	  return false;
@@ -7031,7 +7031,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       optab = optab_for_tree_code (code, vectype_in, optab_default);
       if (!optab)
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "no optab.\n");
 
@@ -7040,14 +7040,14 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 
       if (optab_handler (optab, vec_mode) == CODE_FOR_nothing)
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             dump_printf (MSG_NOTE, "op not supported by target.\n");
 
 	  if (maybe_ne (GET_MODE_SIZE (vec_mode), UNITS_PER_WORD)
 	      || !vect_worthwhile_without_simd_p (loop_vinfo, code))
             return false;
 
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
   	    dump_printf (MSG_NOTE, "proceeding using word mode.\n");
         }
 
@@ -7055,7 +7055,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (!VECTOR_MODE_P (TYPE_MODE (vectype_in))
 	  && !vect_worthwhile_without_simd_p (loop_vinfo, code))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "not worthwhile without SIMD support.\n");
 
@@ -7161,7 +7161,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	      && !direct_internal_fn_supported_p (reduc_fn, vectype_out,
 						  OPTIMIZE_FOR_SPEED))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "reduc op not supported by target.\n");
 
@@ -7172,7 +7172,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	{
 	  if (!nested_cycle || double_reduc)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "no reduc code for scalar code.\n");
 
@@ -7197,7 +7197,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       && reduc_fn == IFN_LAST
       && !nunits_out.is_constant ())
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "missing target support for reduction on"
 			 " variable-length vectors.\n");
@@ -7207,7 +7207,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
   if ((double_reduc || reduction_type != TREE_CODE_REDUCTION)
       && ncopies > 1)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "multiple types in double reduction or condition "
 			 "reduction.\n");
@@ -7237,7 +7237,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 		 l += a[j];
 
 	 which is a reassociation of the original operation.  */
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "in-order double reduction not supported.\n");
 
@@ -7250,7 +7250,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
     {
       /* We cannot use in-order reductions in this case because there is
 	 an implicit reassociation of the operations involved.  */
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "in-order unchained SLP reductions not supported.\n");
       return false;
@@ -7265,7 +7265,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       && !direct_internal_fn_supported_p (IFN_VEC_SHL_INSERT,
 					  vectype_out, OPTIMIZE_FOR_SPEED))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "reduction on variable-length vectors requires"
 			 " target support for a vector-shift-and-insert"
@@ -7288,7 +7288,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (!neutral_op
 	  && !can_duplicate_and_interleave_p (group_size, elt_mode))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "unsupported form of SLP reduction for"
 			     " variable-length vectors: cannot build"
@@ -7300,7 +7300,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	 up the the initial vector does too.  */
       if (!multiple_p (nunits_out, group_size))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "unsupported form of SLP reduction for"
 			     " variable-length vectors: the vector size"
@@ -7321,7 +7321,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
         ops[1] = fold_convert (TREE_TYPE (ops[0]), ops[1]);
       else
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "invalid types in dot-prod\n");
 
@@ -7335,7 +7335,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 
       if (! max_loop_iterations (loop, &ni))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 			     "loop count not known, cannot create cond "
 			     "reduction.\n");
@@ -7350,7 +7350,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       tree max_index = TYPE_MAX_VALUE (cr_index_scalar_type);
       if (wi::geu_p (ni, wi::to_widest (max_index)))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 			     "loop size is greater than data size.\n");
 	  return false;
@@ -7408,7 +7408,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  || code == WIDEN_SUM_EXPR
 	  || code == SAD_EXPR))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "multi def-use cycle not possible for lane-reducing "
 			 "reduction operation\n");
@@ -7434,7 +7434,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 		  || !direct_internal_fn_supported_p (cond_fn, vectype_in,
 						      OPTIMIZE_FOR_SPEED)))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "can't use a fully-masked loop because no"
 				 " conditional operation is available.\n");
@@ -7442,7 +7442,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	    }
 	  else if (reduc_index == -1)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "can't use a fully-masked loop for chained"
 				 " reductions.\n");
@@ -7452,7 +7452,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	    vect_record_loop_mask (loop_vinfo, masks, ncopies * vec_num,
 				   vectype_in);
 	}
-      if (thing_enabled_p ()
+      if (optinfo_enabled_p ()
 	  && reduction_type == FOLD_LEFT_REDUCTION)
 	vect_location_writeln (OPT_RECORD_REMARK,
 			 "using an in-order (fold-left) reduction.\n");
@@ -7462,7 +7462,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 
   /* Transform.  */
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "transform reduction.\n");
 
   /* FORNOW: Multiple types are not supported for condition.  */
@@ -7757,7 +7757,7 @@ vectorizable_induction (gimple *phi,
 
       if (ncopies > 1)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "multiple types in nested loop.\n");
 	  return false;
@@ -7788,7 +7788,7 @@ vectorizable_induction (gimple *phi,
 	  if (!(STMT_VINFO_RELEVANT_P (exit_phi_vinfo)
 		&& !STMT_VINFO_LIVE_P (exit_phi_vinfo)))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "inner-loop induction only used outside "
 				 "of the outer vectorized loop.\n");
@@ -7806,7 +7806,7 @@ vectorizable_induction (gimple *phi,
   if (slp_node && !nunits.is_constant ())
     {
       /* The current SLP code creates the initial value element-by-element.  */
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "SLP induction not supported for variable-length"
 			 " vectors.\n");
@@ -7816,7 +7816,7 @@ vectorizable_induction (gimple *phi,
   if (!vec_stmt) /* transformation not required.  */
     {
       STMT_VINFO_TYPE (stmt_info) = induc_vec_info_type;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK,
                          "=== vectorizable_induction ===\n");
       vect_model_induction_cost (stmt_info, ncopies);
@@ -7830,7 +7830,7 @@ vectorizable_induction (gimple *phi,
      evolution S, for a vector of 4 units, we want to compute:
      [X, X + S, X + 2*S, X + 3*S].  */
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "transform induction phi.\n");
 
   latch_e = loop_latch_edge (iv_loop);
@@ -8222,7 +8222,7 @@ vectorizable_induction (gimple *phi,
 		      && !STMT_VINFO_LIVE_P (stmt_vinfo));
 
 	  STMT_VINFO_VEC_STMT (stmt_vinfo) = new_stmt;
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "vector of inductions after inner-loop:");
@@ -8232,7 +8232,7 @@ vectorizable_induction (gimple *phi,
     }
 
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "transform induction: created def-use cycle: ");
@@ -8283,7 +8283,7 @@ vectorizable_live_operation (gimple *stmt,
   if (!STMT_VINFO_RELEVANT_P (stmt_info))
     {
       gcc_assert (is_simple_and_all_uses_invariant (stmt, loop_vinfo));
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 			 "statement is simple and uses invariant.  Leaving in "
 			 "place.\n");
@@ -8311,7 +8311,7 @@ vectorizable_live_operation (gimple *stmt,
 	 that vector we need.  */
       if (!can_div_trunc_p (pos, nunits, &vec_entry, &vec_index))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "Cannot determine which vector holds the"
 			     " final result.\n");
@@ -8327,7 +8327,7 @@ vectorizable_live_operation (gimple *stmt,
 	  if (!direct_internal_fn_supported_p (IFN_EXTRACT_LAST, vectype,
 					       OPTIMIZE_FOR_SPEED))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "can't use a fully-masked loop because "
 				 "the target doesn't support extract last "
@@ -8336,7 +8336,7 @@ vectorizable_live_operation (gimple *stmt,
 	    }
 	  else if (slp_node)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "can't use a fully-masked loop because an "
 				 "SLP statement is live after the loop.\n");
@@ -8344,7 +8344,7 @@ vectorizable_live_operation (gimple *stmt,
 	    }
 	  else if (ncopies > 1)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "can't use a fully-masked loop because"
 				 " ncopies is greater than 1.\n");
@@ -8492,7 +8492,7 @@ vect_loop_kill_debug_uses (struct loop *loop, gimple *stmt)
 	    {
 	      if (gimple_debug_bind_p (ustmt))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_REMARK,
                                      "killing debug use\n");
 
@@ -8693,7 +8693,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
   bool check_profitability = false;
   unsigned int th;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "=== vec_transform_loop ===\n");
 
   /* Use the more conservative vectorization threshold.  If the number
@@ -8705,7 +8705,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
   if (th >= vect_vf_for_cost (loop_vinfo)
       && !LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 			 "Profitability threshold is %d loop iterations.\n",
                          th);
@@ -8718,7 +8718,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
   if (! single_pred_p (e->dest))
     {
       split_loop_exit_edge (e);
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf (MSG_NOTE, "split exit edge\n");
     }
 
@@ -8752,7 +8752,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
       if (! single_pred_p (e->dest))
 	{
 	  split_loop_exit_edge (e);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    dump_printf (MSG_NOTE, "split exit edge of scalar loop\n");
 	}
     }
@@ -8807,7 +8807,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	   gsi_next (&si))
         {
 	  gphi *phi = si.phi ();
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
                                "------>vectorizing phi: ");
@@ -8827,7 +8827,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	  if (STMT_VINFO_VECTYPE (stmt_info)
 	      && (maybe_ne
 		  (TYPE_VECTOR_SUBPARTS (STMT_VINFO_VECTYPE (stmt_info)), vf))
-	      && thing_enabled_p ())
+	      && optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK, "multiple-types.\n");
 
 	  if ((STMT_VINFO_DEF_TYPE (stmt_info) == vect_induction_def
@@ -8835,7 +8835,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	       || STMT_VINFO_DEF_TYPE (stmt_info) == vect_nested_cycle)
 	      && ! PURE_SLP_STMT (stmt_info))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_REMARK, "transform phi.\n");
 	      vect_transform_stmt (phi, NULL, NULL, NULL, NULL);
 	    }
@@ -8862,7 +8862,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 		}
 	    }
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "------>vectorizing statement: ");
@@ -8934,7 +8934,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 
 		  if (!gsi_end_p (pattern_def_si))
 		    {
-		      if (thing_enabled_p ())
+		      if (optinfo_enabled_p ())
 			{
 			  vect_location_writeln (OPT_RECORD_REMARK,
 					   "==> vectorizing pattern def "
@@ -8962,7 +8962,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 		= TYPE_VECTOR_SUBPARTS (STMT_VINFO_VECTYPE (stmt_info));
 	      if (!STMT_SLP_TYPE (stmt_info)
 		  && maybe_ne (nunits, vf)
-		  && thing_enabled_p ())
+		  && optinfo_enabled_p ())
 		  /* For SLP VF is set according to unrolling factor, and not
 		     to vector size, hence for SLP this print is not valid.  */
 		vect_location_writeln (OPT_RECORD_REMARK, "multiple-types.\n");
@@ -8976,7 +8976,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 		{
 		  slp_scheduled = true;
 
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_REMARK,
 				     "=== scheduling SLP instances ===\n");
 
@@ -8996,7 +8996,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	    }
 
 	  /* -------- vectorize statement ------------ */
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK, "transform statement.\n");
 
 	  grouped_store = false;
@@ -9108,7 +9108,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	 : wi::udiv_floor (loop->nb_iterations_estimate + bias_for_assumed,
 			   assumed_vf) - 1);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       if (!LOOP_VINFO_EPILOGUE_P (loop_vinfo))
 	{
@@ -9280,7 +9280,7 @@ optimize_mask_stores (struct loop *loop)
       make_single_succ_edge (store_bb, join_bb, EDGE_FALLTHRU);
       if (dom_info_available_p (CDI_DOMINATORS))
 	set_immediate_dominator (CDI_DOMINATORS, store_bb, bb);
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 			 "Create new block %d to sink mask stores.",
 			 store_bb->index);
@@ -9319,7 +9319,7 @@ optimize_mask_stores (struct loop *loop)
 	  gsi_move_before (&gsi_from, &gsi_to);
 	  /* Setup GSI_TO to the non-empty block start.  */
 	  gsi_to = gsi_start_bb (store_bb);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "Move stmt to created bb\n");
@@ -9387,7 +9387,7 @@ optimize_mask_stores (struct loop *loop)
 		break;
 
 	      /* Can move STMT1 to STORE_BB.  */
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK,
 				   "Move stmt to created bb\n");
